import React, { Fragment } from "react";

function ProductDetailsCom({ details, title }) {
  return (
    <div className="w-full bg-dark-300 border border-[#F8EBFF] rounded-xl p-2 xl:p-10 py-5">
      <h1 className=" xl:text-4xl text-2xl font-bold text-white mb-5">
        {" "}
        {title}
      </h1>
      {details.map((item, i) => {
        return (
          <Fragment key={i}>
            <p className=" xl:text-lg text-base text-white py-2 ">
              {item.label} :{" "}
              <span className="text-[#FFBB38] notranslate">{item.value}</span>
            </p>
            <hr className="bg-[#F8EBFF] opacity-20 last:hidden" />
          </Fragment>
        );
      })}
    </div>
  );
}

export default ProductDetailsCom;
